dht::FieldValueIndex Class Reference

An index for field values. More...

`#include <value.h>`

Collaboration diagram for dht::FieldValueIndex:
[legend]

## Public Member Functions

| FieldValueIndex (const Value &v, Select s={})
bool | containedIn (const FieldValueIndex &other) const
void | msgpack_unpack_fields (const std::set< Value::Field > &fields, const msgpack::object &o, unsigned offset)

## Public Attributes

std::map< Value::Field, FieldValue > | index {}

## Friends

OPENDHT_PUBLIC friend std::ostream & | operator<< (std::ostream &os, const FieldValueIndex &fvi)

## Detailed Description

An index for field values.

This structures is meant to manipulate a subset of fields normally contained in Value.

Definition at line 927 of file value.h.

## Constructor & Destructor Documentation

## FieldValueIndex()

dht::FieldValueIndex::FieldValueIndex | ( |  | ) |

inline

Definition at line 928 of file value.h.

## Member Function Documentation

## containedIn()

bool dht::FieldValueIndex::containedIn | ( | const FieldValueIndex & | other | ) | const

Tells if all the fields of this are contained in the other FieldValueIndex with the same value.

Parameters

  other | The other FieldValueIndex instance.

## Member Data Documentation

## index

std::map<Value::Field, FieldValue> dht::FieldValueIndex::index {}

Definition at line 944 of file value.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/value.h